Name:           python-dkist-processing-common
Version:        10.8.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Common task classes used by the DKIST science data processing pipelines

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        BSD-3-Clause
URL:            https://nso.edu/dkist/data-center/
Source:         %{pypi_source dkist_processing_common}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dkist-processing-common' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dkist-processing-common
Summary:        %{summary}

%description -n python3-dkist-processing-common %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-dkist-processing-common asdf,docs,inventory,quality,test


%prep
%autosetup -p1 -n dkist_processing_common-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x asdf,docs,inventory,quality,test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dkist-processing-common -f %{pyproject_files}


%changelog
%autochangelog